Skip to main content
GET
/
v1
/
recordings
/
{id}
Retrieve a recording
curl --request GET \
  --url https://api.wavix.com/v1/recordings/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "created_at": "2023-06-15T10:30:00Z",
  "duration": 120,
  "from": "1234567890",
  "to": "0987654321",
  "call_uuid": "aa566501-c591-4a8b-b3b9-cc1295398b72",
  "url": "https://api.wavix.com/v1/recordings/uuid"
}

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

id
integer<int32>
required

The unique ID of the call recording.

Example:

123

Response

Returns the call recording.

A call recording response

id
integer<int32>
required

Recording ID.

Example:

123

created_at
string<date-time>
required

Date and time when the recording was created in ISO 8601 format.

Example:

"2023-06-15T10:30:00Z"

duration
integer<int32>
required

Recording duration in seconds.

Example:

120

from
string
required

Originating phone number.

Example:

"1234567890"

to
string
required

Destination phone number.

Example:

"0987654321"

call_uuid
string
required

Call ID.

Example:

"aa566501-c591-4a8b-b3b9-cc1295398b72"

url
string
required

Recording file URL.

Example:

"https://api.wavix.com/v1/recordings/uuid"